%global with_python2 1
%global with_python3 1
%define source0_subpath 4927363244aaa7fd8a696d32005ea8214c4811550d35edea27797ebbd4fd
Name:           python-zope-event
Version:        4.2.0
Release:        13
Summary:        Zope Event Publication
License:        ZPLv2.1
URL:            http://pypi.python.org/pypi/zope.event/
Source0:        https://files.pythonhosted.org/packages/cd/a5/%{source0_subpath}/zope.event-%{version}.tar.gz
BuildArch:      noarch

%description
The zope.event package provides a simple event system. It provides
an event publishing system and a very simple event-dispatching system
on which more sophisticated event dispatching systems can be built.
(For example, a type-based event dispatching system that builds on
zope.event can be found in zope.component.)

%if 0%{?with_python2}
%package -n python2-zope-event
Summary:        Zope Event Publication (Python 2)
%{?python_provide:%python_provide python2-zope-event}

BuildRequires:  python2-devel
BuildRequires:  python2-setuptools

Requires:       python2

%description -n python2-zope-event
The zope.event package provides a simple event system. It provides
an event publishing system and a very simple event-dispatching system
on which more sophisticated event dispatching systems can be built.
(For example, a type-based event dispatching system that builds on
zope.event can be found in zope.component.)

This package contains the version for Python 2.
%endif

%if 0%{?with_python3}
%package -n python3-zope-event
Summary:        Zope Event Publication (Python 3)
%{?python_provide:%python_provide python3-zope-event}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

BuildRequires:  python3-sphinx

Requires:       python3

%description -n python3-zope-event
The zope.event package provides a simple event system. It provides
an event publishing system and a very simple event-dispatching system
on which more sophisticated event dispatching systems can be built.
(For example, a type-based event dispatching system that builds on
zope.event can be found in zope.component.)

This package contains the version for Python 3.
%endif

%prep
%setup -q -n zope.event-%{version}
rm -rf %{modname}.egg-info

%build
# build with python2
%if 0%{?with_python2}
%py2_build
%endif

# build with python3
%if 0%{?with_python3}
%py3_build
%endif

# build the sphinx documents
pushd docs
PYTHONPATH=../src make SPHINXBUILD=sphinx-build-3 html
rm -f _build/html/.buildinfo
popd

%install
%if 0%{?with_python2}
%py2_install
%endif

%if 0%{?with_python3}
%py3_install
%endif

%check
%if 0%{?with_python2}
%{__python2} setup.py test
%endif
%if 0%{?with_python3}
%{__python3} setup.py test
%endif

%if 0%{?with_python2}
%files -n python2-zope-event
%doc CHANGES.rst COPYRIGHT.txt README.rst
%doc docs/_build/html/
%license LICENSE.txt
%{python2_sitelib}/zope/event/
%exclude %{python2_sitelib}/zope/event/tests.py*
%dir %{python2_sitelib}/zope/
%{python2_sitelib}/zope.event-*.egg-info
%{python2_sitelib}/zope.event-*-nspkg.pth
%endif

%if 0%{?with_python3}
%files -n python3-zope-event
%doc CHANGES.rst COPYRIGHT.txt LICENSE.txt README.rst
%doc docs/_build/html/
%license LICENSE.txt
%{python3_sitelib}/zope/event/
%exclude %{python3_sitelib}/zope/event/tests.py*
%exclude %{python3_sitelib}/zope/event/__pycache__/tests*
%dir %{python3_sitelib}/zope/
%{python3_sitelib}/zope.event-*.egg-info
%{python3_sitelib}/zope.event-*-nspkg.pth
%endif

%changelog
* Tue Sep 8 2020 Ge Wang <wangge20@huawei.com> - 4.2.0-13
- Modify Source0 Url

* Wed Feb 12 2020 openEuler Buildteam <buildteam@openeuler.org> - 4.2.0-12
- Package init
